Hugo Dark Theme Site Generator https://after-dark.habd.as
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

upgrade-script.id.md 1.8KB

+++ title = “Upgrade Script” description = “Memeriksa pembaruan After Dark dan mengupgrade dengan mudah.” categories = [“core”] tags = [“updating”, “installation”, “scripts”] feature = [“code highlighter”, “related content”, “snippets”] copyright owner = “Josh Habdas” date = “2019” license = “agpl-3.0-or-later” +++

Untuk memeriksa pembaruan dan secara otomatis megupgrade After Dark ke versi terbaru, jalankan upgrade skrip dari direktori situs anda:

cd flying toasters && \
./themes/after-dark/bin/upgrade

Jika anda sudah menggunakan versi terbaru, skrip akan memberitahu anda:

{{< hackcss-alert type=“info” >}} Did not upgrade after-dark. Already using latest version. {{< /hackcss-alert >}}

Jika pembaruan tersedia, skrip akan mengunduh dan menginstalnya secara otomatis:

{{< hackcss-alert type=“info” >}} Starting upgrade from 6.7.6 to 6.8.0 …
Version 6.8.0 downloaded to themes/after-dark
Stopping help server if running …
Generating help documentation …
Upgrade complete! Please see CHANGELOG.md for changes.
{{< /hackcss-alert >}}

Jika versi saat ini tidak dapat dideteksi skrip akan meminta anda:

{{< hackcss-alert type=“info” >}} Cannot detect version. Upgrade after-dark anyway (y/n)? y
Starting upgrade from unknown version to 6.12.1 …
Version 6.12.1 downloaded to themes/after-dark
Stopping help server if running …
Generating help documentation …
Upgrade complete! Please see CHANGELOG.md for changes.
{{< /hackcss-alert >}}

Seperti Quick Install Skrip upgrade ditulis ke standar PSOIX tidak akan memerlukan ketergantungan tambahan untuk beroperasi di sebagian besar sistem. Setelah upgrade Release Hash akan memperbarui juga sehingga anda akan Validate Release.